Zyxel Prestige 660H-D1 wired router

Zyxel Prestige 660H-D1 wired router

Model 660H-D1Part no. 91-004-582025BEAN 4718937501892

27 specifications
  • Speed0.024 Gbit/s
  • ConnectivityWired
  • Weight275 g
  • Networking standardsIEEE 802.1d
  • ADSLYes
  • Ethernet LAN (RJ-45) ports4
See all specifications

Overview

Speed
0.024 Gbit/s
Connectivity
Wired
Weight
275 g
Networking standards
IEEE 802.1d
ADSL
Yes
Ethernet LAN (RJ-45) ports
4
Brand
Zyxel
Category
Wired Router
Model
660H-D1
Part numbers
91-004-582025B, 91-004-582024B, 91-004-582001B, 91-004-582017B
EAN / UPC
4718937501892, 4718937514793, 5053959459547
Also known as
Zyxel Prestige 660H-D1 wired router

Specifications

27 specifications in 11 groups

Network

SpecificationValue
Networking standardsIEEE 802.1d
Supports ISDN connectionNo
ATM features8 PVCs, ATM UNI 3.1/4.0, RFC 1483/2684, AAL5, RFC 2364, PPP AAL5, RFC 2516 PPPoE, VC, LLC, ATM, QoS, UBR, CBR, VBR, I.610 OAM F4/F5 Loop-back, AIS, RDI OAM

DSL features

SpecificationValue
ADSLYes
Modem speed12000 Kbit/s

Management features

SpecificationValue
Web-based managementYes
Universal Plug and Play (UPnP)Yes
Reset buttonYes

Ports & interfaces

SpecificationValue
Ethernet LAN (RJ-45) ports4
RJ-11 ports quantity1

Protocols

SpecificationValue
DHCP clientYes
DHCP serverYes
Management protocolsSNMP

Security

SpecificationValue
Firewall securityDenial-of-Service (DoS) protection, Distributed Denial-of-Service (DDoS) protection
VPN supportIPSec, PPTP
NAT functionalitySUA/Multi-NAT

Features

SpecificationValue
CertificationFCC, CE

Design

SpecificationValue
LED indicatorsYes

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-20 - 60 °C
Operating relative humidity (H-H)20 - 85%
Storage relative humidity (H-H)20 - 90%

Weight & dimensions

SpecificationValue
Weight275 g

Other features

SpecificationValue
Power requirements12 V, AC, 1A
Connectivity technologyWired
Dimensions (WxDxH)180 x 127 x 36 mm
Maximum data transfer rate0.024 Gbit/s

What people say

Reviews & ratings

Zyxel Prestige 660H-D1 wired router

No reviews yet

Be the first to tell others how Zyxel Prestige 660H-D1 wired router works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Zyxel Prestige 660H-D1 wired router work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Zyxel Prestige 660H-D1 wired router

All wired router comparisons

Similar products

All wired routers